local S = minetest.get_translator("tech_additions")

minetest.register_node("tech_additions:iron_block", {
    description = S("TA1 Iron block"),
    tiles = { 'tech_additions_iron_block.png' },
    groups = { cracky = 3 }
})

minetest.register_craft({
    output = 'tech_additions:iron_block',
    recipe = {
        { "techage:iron_ingot", "techage:iron_ingot", "techage:iron_ingot", },
        { "techage:iron_ingot", "techage:iron_ingot", "techage:iron_ingot", },
        { "techage:iron_ingot", "techage:iron_ingot", "techage:iron_ingot", }
    }
})

minetest.register_craft({
    output = 'techage:iron_ingot 9',
    recipe = {
        { 'tech_additions:iron_block', },
    }
})

minetest.register_node("tech_additions:baborium_block", {
    description = S("Baborium block"),
    tiles = { 'tech_additions_baborium_block.png' },
    groups = { cracky = 3 }
})

minetest.register_craft({
    output = 'tech_additions:baborium_block',
    recipe = {
        { "techage:baborium_ingot", "techage:baborium_ingot", "techage:baborium_ingot", },
        { "techage:baborium_ingot", "techage:baborium_ingot", "techage:baborium_ingot", },
        { "techage:baborium_ingot", "techage:baborium_ingot", "techage:baborium_ingot", }
    }
})

minetest.register_craft({
    output = 'techage:baborium_ingot 9',
    recipe = {
        { 'tech_additions:baborium_block', },
    }
})

minetest.register_craft({
    output = 'techage:ta3_barrel_oil',
    recipe = {
        { 'multidecor:consolidated_oil', 'multidecor:consolidated_oil', 'techage:ta3_barrel_empty'},
        { 'multidecor:consolidated_oil', 'multidecor:consolidated_oil', 'multidecor:consolidated_oil'},
        { 'multidecor:consolidated_oil', 'multidecor:consolidated_oil', 'multidecor:consolidated_oil'},
    }
})

minetest.register_craft({
    output = 'techage:ta4_injector_pas',
    recipe = {
        { '', 'techage:aluminum', ''},
        { '', 'techage:ta3_injector_pas', ''},
        { '', 'techage:ta4_wlanchip', ''},
    }
})

techage.add_grinder_recipe({input="multidecor:consolidated_oil", output="techage:plastic_granules"})
techage.add_grinder_recipe({input="ethereal:wild_onion_plant 10", output="dye:white"})

techage.add_grinder_recipe({input="underch:afualite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:amphibolite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:andesite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:aplite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:basalt_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:dark_vindesite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:diorite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:dolomite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:emutite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:gabbro_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:gneiss_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:granite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:green_slimestone_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:hektorite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:limestone_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:marble_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:omphyrite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:pegmatite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:peridotite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:phonolite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:phylite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:purple_slimestone_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:quartzite_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:red_slimestone_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:schist_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:sichamine_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:slate_cobble", output="default:gravel"})
techage.add_grinder_recipe({input="underch:vindesite_cobble", output="default:gravel"})

